0 Replies Latest reply on May 2, 2008 7:45 AM by Mike Bauer

    Help with FlexBuilder 3 and WSDL 2.0

    Mike Bauer Level 1
      I have a web service I have deployed using Axis2 version 1.4, and I am sort of in a "catch 22". It seems that FlexBuilder can auto-generate the ActionScript needed to connect to a web service given the WSDL file. This is great for me, since I am very new to Flex and need to get this client code off the ground sooner rather than later. But, when I point it to the WSDL 2.0 link, FlexBuilder tells me its not a valid WSDL file. Axis2 has a URL for the WSDL 1.1 version, but it errors saying you have to turn off "useOriginalwsdl". When I do, I can't get the service to deploy in JBoss, though.

      So, having not much luck from the Axis2 mailing group, I thought I would check here. First question is: Does FB3 support WSDL 2.0 at all? The follow-up to that question is: If it does, does this indicate there is a problem with my service definition?

      I am really stuck, and getting really disparate.